/*
 *
 * Written By:   Philip Isenhour
 * Date:         October 1996
 * Description:  Representation of a link between two activities.
 *
 * $Header: /home/nie/cvsroot/prototype/vt/cs/virtSchool/client/RoomView.java,v
1.4 1997/01/07 20:52:58 isenhour Exp $
 *
 * Copyright (c) 1996 Philip Isenhour
 * Copyright (c) 1996 Virginia Polytechnic University and State University
 */

package vt.cs.virtSchool.server;

import java.util.*;
import java.net.*;
import java.io.*;
import netscape.application.*;

/**
 * Serializable representation of a link between two activities.
 *
 * @param $Id Exp $
 */
public class Link implements Serializable {
	public	String 	instantiatedBy 	= null;
	public	String	activity1ID		= null;
	public	String	activity2ID		= null;
	private	String	ID				= null;

	public Link (String instantiatedBy, String activity1ID,
		String activity2ID) {
		this.instantiatedBy = instantiatedBy;
		this.activity1ID = activity1ID;
		this.activity2ID = activity2ID;
		
		ID = new String(System.currentTimeMillis() + ".link." +
			activity1ID + "." + activity2ID);
	}

	public String id() {
		return ID;
	}
}



