
//
//	ToolItem.java
//
//	Copyright 1996, Black Diamond Software.  All rights reserved.
//
//	Written by: Jason Beaver and Tyler Gingrich
//

package vt.cs.virtSchool.labapplets.WhiteBoard;

import netscape.application.*;
import netscape.util.*;

public class ToolItem extends ListItem {
  String toolTitle;
  Image toolImage;
  Image altToolImage;

  public ToolItem(String name) {
    super();

    this.setToolTitle(name);
  }

  public void setToolTitle(String name) {
    toolTitle = name;
    if (name != null) {
      // Load our images...
      /*
      try {
	setImage(Bitmap.bitmapNamed(name+".gif"));
	setSelectedImage(Bitmap.bitmapNamed(name+"H.gif"));
      }
      catch (Exception e) {
	System.out.println("Unable to load image: "+name);
	e.printStackTrace();
      } 
    } 
  }
  */

        try {
	System.out.println("Trying to load image: " + 
			   vt.cs.virtSchool.server.Configuration.CodeBase + "images/"+name+".gif");
	String bmurl = new String(
				  vt.cs.virtSchool.server.Configuration.CodeBase +
				  "images/"+name+".gif");
	java.net.URL url = new java.net.URL(bmurl);
	System.out.println("Applet: " + AWTCompatibility.awtApplet());
	System.out.println("URL: " + url);
	System.out.println("Image: " + 
			   vt.cs.virtSchool.client.Environment.getImage(url));
	setImage(AWTCompatibility.bitmapForAWTImage(
	      vt.cs.virtSchool.client.Environment.getImage(url)
	      ));
	setSelectedImage(
		  AWTCompatibility.bitmapForAWTImage(
		      vt.cs.virtSchool.client.Environment.getImage(
			   new java.net.URL(vt.cs.virtSchool.server.Configuration.CodeBase + 
					    "images/"+name+"H.gif"))));
      }
      catch (Exception ex) {
	ex.printStackTrace();
      }
    }
  }
  

  public String toolTitle() {
    return toolTitle;
  }

  public void drawInRect(Graphics g,Rect boundsRect) {
    // Draw a border around ourselves...
    // BezelBorder border = new BezelBorder(BezelBorder.RAISED,Color.gray);
    Border border = BezelBorder.raisedBezel();

    border.drawInRect(g,boundsRect.x,boundsRect.y,boundsRect.width,boundsRect.height);

    // Inset the rect to display the image...
    Rect contentRect = new Rect(boundsRect);
    contentRect.x += border.leftMargin();
    contentRect.y += border.topMargin();
		contentRect.width -= border.leftMargin() + border.rightMargin();
		contentRect.height -= border.topMargin() + border.bottomMargin();

		super.drawInRect(g,contentRect);
	}
}
