/*
 *
 * Written By:   Philip Isenhour
 * Date:         11 September 1996
 * Description:  Simple monitor-like lock
 *
 * Usage Notes:
 *
 */

package vt.cs.virtSchool.util;
 
public class Lock {
 
  public synchronized void block() {
    try {
      wait();
    }
    catch (InterruptedException e) {
	  System.out.println(e);
	}
  }
 
  public synchronized void signal() {
    notify();
  }
 
}

