/*
 * Written By:     Craig Struble
 * Date:           15 July 1996
 * Description:    Mouse Location for telepointer implementation.
 */

/*
 * $Header: /home/nie/cvsroot/prototype/vt/cs/virtSchool/util/MouseLocation.java,v 1.1.1.1 1996/09/17 05:23:18 isenhour Exp $
 * Copyright (c) 1996 Craig Struble
 * Copyright (c) 1996 Virginia Polytechnic Institute and State University
 */

package vt.cs.virtSchool.util;

import como.io.*;
import como.util.*;

public class MouseLocation implements Saveable {
  public int x = 0, y = 0;
  
  public MouseLocation() {
  }

  public MouseLocation(int x, int y) {
    this.x = x;
    this.y = y;
  }

  public void save(como.io.ObjectOutputStream out) throws java.io.IOException {
    out.writeObject(new Integer(x));
    out.writeObject(new Integer(y));
  }

  public void load(como.io.ObjectInputStream in) throws java.io.IOException {
    x = ((Integer)in.readObject()).intValue();
    y = ((Integer)in.readObject()).intValue();
  }
}
