/*
 *
 * Written By:   James "Bo" Begole
 * Date:         7 July 1996
 * Description:  Remote Object Interface for Reaction Timer Data
 *
 * Usage Notes:
 *
 */
 
/*
 * $Header: /home/nie/cvsroot/prototype/vt/cs/virtSchool/util/RemoteVector.java,v 1.3 1996/09/17 06:38:42 isenhour Exp $
 *
 * Copyright (c) 1996 James "Bo" Begole
 * Copyright (c) 1996 Virginia Polytechnic University and State University
 */

package vt.cs.virtSchool.util;

import java.util.*;

public interface RemoteVector extends java.rmi.Remote {

  public void addElement(Object obj) throws java.rmi.RemoteException;

  public boolean removeElement(Object obj) throws java.rmi.RemoteException;

  public void removeElementAt(int index) throws java.rmi.RemoteException;

  public Enumeration elements() throws java.rmi.RemoteException;

  public Object lastElement() throws java.rmi.RemoteException;

  public int size() throws java.rmi.RemoteException;

  public long register() throws java.rmi.RemoteException;

  public void unregister(long ID) throws java.rmi.RemoteException;

  public Vector getVector(long ID) throws java.rmi.RemoteException;

  public boolean newData(long ID) throws java.rmi.RemoteException;

}
